aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2015-11-18 10:53:59 +0000
committerGerrit Code Review <review@openstack.org>2015-11-18 10:53:59 +0000
commit37f712d07fec7341c0ca42cb175d370a20736a9f (patch)
tree78480b9ccd15b0b423f4db8b7029201fd02d949e
parent6604208fa88956c667f60c0e54663de5908d4edc (diff)
parentfe87f5bb6b748d54f9829fb4f7cb5431a832c406 (diff)
Merge "Verify galera is sync'd in yum_update.sh"
-rwxr-xr-xextraconfig/tasks/yum_update.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/extraconfig/tasks/yum_update.sh b/extraconfig/tasks/yum_update.sh
index 3ba13f23..fa523e83 100755
--- a/extraconfig/tasks/yum_update.sh
+++ b/extraconfig/tasks/yum_update.sh
@@ -23,6 +23,7 @@ update_identifier=${update_identifier//[^a-zA-Z0-9-_]/}
# seconds to wait for this node to rejoin the cluster after update
cluster_start_timeout=360
+galera_sync_timeout=360
timestamp_file="$timestamp_dir/$update_identifier"
if [[ -a "$timestamp_file" ]]; then
@@ -185,6 +186,17 @@ if [[ "$pacemaker_status" == "active" ]] ; then
exit 1
fi
done
+
+ tstart=$(date +%s)
+ while ! clustercheck; do
+ sleep 5
+ tnow=$(date +%s)
+ if (( tnow-tstart > galera_sync_timeout )) ; then
+ echo "ERROR galera sync timed out"
+ exit 1
+ fi
+ done
+
pcs status
else